LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08467Bug reports[All Projects] Survey designpublic2013-12-18 21:452014-01-10 13:16
Reportermfaber 
Assigned Totpartner 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target Version2.05+Fixed in Version2.05+ 
Summary08467: Questions can disappear during sorting
DescriptionIn the question reordering menu it is possible to move question before the first group. If you then press save, the question is lost.
Steps To ReproduceOpen attached 1-question test survey
Enter question reordering menu
Move question above group
save

You'll find the question group to be empty.
Additional InformationIf you export the questionnaire (lss), the question is still in the file. However it's not recognized in limesurvey. Wrong place?
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID131218
BrowserFF
Database & DB-VersionMySQL 5.0.10
Operating System (Server)Win7
Webserver software & versionApache/2.4.4 (Win32)
PHP VersionPhP 5.4.19
Attached Files

- Relationships
related to 08516closedc_schmitz Changing survey name appears to have deleted all survey questions (but not question groups) 

-  Notes
User avatar (27690)
tpartner (developer)
2013-12-21 22:07

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13629 [^]
User avatar (27691)
mfaber (developer)
2013-12-21 22:20

Tried and it works very well! Thank you!
User avatar (27694)
tpartner (developer)
2013-12-22 13:29

Fixed in 2.05.

Thanks for the report and testing mfaber.

- Related Changesets
LimeSurvey: master 95e46d2c
Timestamp: 2013-12-21 21:06:22
Author: tpartner
Committer: tpartner
Details ] Diff ]
Fixed issue 08467: Questions can disappear during sorting
Dev: Updated plugin call to work with new API
mod - application/views/admin/survey/organizeGroupsAndQuestions_view.php Diff ] File ]
mod - scripts/admin/organize.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-18 21:45 mfaber New Issue
2013-12-19 13:01 c_schmitz Assigned To => tpartner
2013-12-19 13:01 c_schmitz Status new => assigned
2013-12-21 22:07 tpartner Changeset attached => LimeSurvey master 95e46d2c
2013-12-21 22:07 tpartner Note Added: 27690
2013-12-21 22:07 tpartner Resolution open => fixed
2013-12-21 22:20 mfaber Note Added: 27691
2013-12-22 13:29 tpartner Note Added: 27694
2013-12-22 13:29 tpartner Status assigned => resolved
2014-01-09 23:32 c_schmitz Status resolved => closed
2014-01-09 23:32 c_schmitz Fixed in Version => 2.05+
2014-01-10 13:16 mfaber Relationship added related to 08516


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker